{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.manalabs_zombie.spitter.movement": {
			"states": {
				"default": {
					"transitions": [
						{
							"run": "q.ground_speed > 2"
						},
						{
							"walk": "q.ground_speed > 0.01"
						}
					],
					"blend_transition": 0.2
				},
				"walk": {
					"animations": ["walk"],
					"transitions": [
						{
							"run": "q.ground_speed > 2"
						},
						{
							"default": "q.ground_speed < 0.01"
						}
					],
					"blend_transition": 0.2
				},
				"run": {
					"animations": ["run"],
					"transitions": [
						{
							"default": "q.ground_speed < 0.01"
						},
						{
							"walk": "q.ground_speed > 0.01 && q.ground_speed < 2"
						}
					],
					"blend_transition": 0.2
				}
			}
		},
		"controller.animation.manalabs_zombie.spitter.random_idle": {
			"initial_state": "default",
			"states": {
				"default": {
					"on_entry": ["v.idle_delay = math.random(10, 30) + q.life_time;"],
					"transitions": [{ "random": "(v.idle_delay - q.life_time) < 0" }],
					"blend_transition": 0.2
				},
				"random": {
					"animations": ["random"],
					"transitions": [
						{
							"default": "q.all_animations_finished"
						}
					],
					"blend_transition": 0.2
				}
			}
		},
		"controller.animation.manalabs_zombie.spitter.attack": {
			"initial_state": "default",
			"states": {
				"default": {
					"transitions": [
						{
							"attack_spit": "query.facing_target_to_range_attack && q.is_charged"
						}
					],
					"blend_transition": 0.2
				},
				"attack_spit": {
					"on_entry": ["v.idle_delay = v.idle_delay + 10;"],
					"animations": ["attack_spit"],
					"transitions": [
						{
							"default": "q.all_animations_finished"
						}
					],
					"blend_transition": 0.2
				}
			}
		},
		"controller.animation.manalabs_zombie.spitter.death": {
			"initial_state": "default",
			"states": {
				"default": {
					"transitions": [
						{
							"death": "q.health == 1"
						}
					]
				},
				"death": {
					"animations": ["death"]
				}
			}
		}
	}
}
